{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.mg43.hold": {
			"states": {
				"default": {
					"transitions": [
						{"hold": "v.mg43"}
					],
					"blend_transition": 0.2
				},
				"hold": {
					"animations": [
						{"mg43_hold": "!v.is_first_person"},
						{"mg43_hold_fp": "v.is_first_person"}
					],
					"transitions": [
						{"scope": "v.mg43 && q.is_sneaking"},
						{"reload": "q.get_equipped_item_name == 'mg-43_reloading'"},
						{"default": "!v.mg43"},
						{"run": "v.mg43 && q.is_sprinting"},
						{"melee": "v.attack_time"}
					],
					"blend_transition": 0.15
				},
				"scope": {
					"animations": [
						{"mg43_aim": "!v.is_first_person"},
						{"mg43_aim_fp": "v.is_first_person"}
					],
					"transitions": [
						{"hold": "v.mg43 && !q.is_sneaking"},
						{"reload": "q.get_equipped_item_name == 'mg-43_reloading'"},
						{"default": "!v.mg43"},
						{"mode": "v.attack_time"}
					],
					"blend_transition": 0.15
				},
				"reload": {
					"animations": [
						{"mg43_reload_full": "!v.is_first_person && q.mark_variant==0"},
						{"mg43_reload_full_fp": "v.is_first_person && q.mark_variant==0"},
						{"mg43_reload_empty": "!v.is_first_person && q.mark_variant==1"},
						{"mg43_reload_empty_fp": "v.is_first_person && q.mark_variant==1"}
					],
					"transitions": [
						{"hold": "v.mg43 &&  q.get_equipped_item_name != 'mg-43_reloading'"},
						{"scope": "v.mg43 && q.is_sneaking &&  q.get_equipped_item_name != 'mg-43_reloading'"},
						{"default": "!v.mg43"}
					],
					"blend_transition": 0.15
				},
				"run": {
					"animations": [
						{"mg43_run": "!v.is_first_person"},
						{"mg43_run_fp": "v.is_first_person"}
					],
					"transitions": [
						{"hold": "!q.is_sprinting && v.mg43"},
						{"default": "!v.mg43"},
						{"scope": "q.is_sneaking && v.mg43"},
						{"reload": "q.get_equipped_item_name=='mg-43_reloading'"}
					],
					"blend_transition": 0.15
				},
				"melee": {
					"animations": [
						{"mg43_melee": "!v.is_first_person"},
						{"mg43_melee_fp": "v.is_first_person"}
					],
					"transitions": [
						{"hold": "q.any_animation_finished"}
					]
				},
				"mode": {
					"animations": [
						{"mg43_mode": "!v.is_first_person"},
						{"mg43_mode_fp": "v.is_first_person"}
					],
					"transitions": [
						{"scope": "q.any_animation_finished"}
					],
					"blend_transition": 0.01
				}
			}
		}
	}
}